Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Problems with qt_wallet on debian  (Read 256 times)

0 Members and 1 Guest are viewing this topic.

Offline megadeth92

Problems with qt_wallet on debian
« on: August 26, 2014, 02:25:48 PM »

Hey guys !

I got this error when I run my wallet:

RPC Server Error: this is not the file you are looking for: /licenseagreement.html

The wallet never get updated, but on my windows pc is working fine ...

I followed this guidelines:

https://github.com/BitShares/bitshares_toolkit/blob/master/BUILD_UBUNTU.md
Account: jdroa92

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12241
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Problems with qt_wallet on debian
« Reply #1 on: August 26, 2014, 02:34:43 PM »
not sure if this helps:
https://bitsharestalk.org/index.php?topic=6108.0

ever tried using the terminal version of the wallet? its located in programs/client/
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline megadeth92

Re: Problems with qt_wallet on debian
« Reply #2 on: August 26, 2014, 06:56:18 PM »
not sure if this helps:
https://bitsharestalk.org/index.php?topic=6108.0

ever tried using the terminal version of the wallet? its located in programs/client/

I tried it
I got the same thing :/
"Not connected" and When I run the terminal version it shows that is connected to nodes but says (wallet closed) >>
Account: jdroa92

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12241
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Problems with qt_wallet on debian
« Reply #3 on: August 26, 2014, 07:11:49 PM »
ok .. so the "Not connected" in the corner is buggy ...

if you open your wallet go to "console" and type "getinfo" your will probably see that the last recent block (second line or so in the response) says sth. that is probably smaller than 10 seconds .. that means you are perfectly syned ..

no idea what the other error is all about ...


you sure using the latest version 0.4.8?
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline maqifrnswa

  • Hero Member
  • *****
  • Posts: 661
    • View Profile
Re: Problems with qt_wallet on debian
« Reply #4 on: August 26, 2014, 07:19:03 PM »
https://github.com/BitShares/bitshares_toolkit/blob/master/BUILD_UBUNTU.md
are old

the wallet will never get updated

Code: [Select]
git checkout master
git pull
git checkout {TAG}
git submodule init
git submodule update
cmake -DINCLUDE_QT_WALLET=ON .
rm -r programs/qt_wallet/htdocs
make buildweb
make BitSharesXT

you have to "rm -r programs/qt_wallet/htdocs" -- the new build is a little too aggressive in choosing when to skip rebuilding the gui. Bytemaster has a post about this somewhere, can't find it.
maintains an Ubuntu PPA: https://launchpad.net/~showard314/+archive/ubuntu/bitshares [15% delegate] wallet_account_set_approval maqifrnswa true [50% delegate] wallet_account_set_approval delegate1.maqifrnswa true

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12241
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Problems with qt_wallet on debian
« Reply #5 on: August 26, 2014, 07:23:38 PM »
that explains my recent crashes of my wallet .. thought sth. like that could be the case ... thx for letting us know .. I will add this to the wiki

//edit: http://wiki.bitshares.org/index.php/BuildInstructionsBitSharesX#Configuration_and_Compilation
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline liondani

Re: Problems with qt_wallet on debian
« Reply #6 on: August 26, 2014, 09:39:13 PM »
https://github.com/BitShares/bitshares_toolkit/blob/master/BUILD_UBUNTU.md
are old

the wallet will never get updated

Code: [Select]
git checkout master
git pull
git checkout {TAG}
git submodule init
git submodule update
cmake -DINCLUDE_QT_WALLET=ON .
rm -r programs/qt_wallet/htdocs
make buildweb
make BitSharesXT

you have to "rm -r programs/qt_wallet/htdocs" -- the new build is a little too aggressive in choosing when to skip rebuilding the gui. Bytemaster has a post about this somewhere, can't find it.

make BitSharesX    (not XT)
  https://bitshares.OPENLEDGER.info/?r=GREECE  | You are in Control | BUY | SELL | SHORT | SWAP | LOAN | TRADE |  

Offline megadeth92

Re: Problems with qt_wallet on debian
« Reply #7 on: September 06, 2014, 04:12:34 AM »
Thanks for your help...
I keep trying...
On Archlinux I have a compilation error at 100% of the process :/
Account: jdroa92

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12241
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Problems with qt_wallet on debian
« Reply #8 on: September 06, 2014, 09:42:49 AM »
Thanks for your help...
I keep trying...
On Archlinux I have a compilation error at 100% of the process :/
On ArchLinux you unfortunatelly need to compile with clang and cannot use gcc. Further you should do

edit:
https://bitsharestalk.org/index.php?topic=8363.msg109457#msg109457

Quote
make forcebuildweb
make BitSharesXT

What's the error saying?
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

 

Google+